QGIS Application - Bug report #6751
Attribute table does not sort properly for GML file
2012-11-22 05:20 AM - Dieter De Paepe

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 15908
Description

I have included a GML file that was produced using the Geotools 1.8.0 java library.

When opening the attribute table for this file, the sorting on the different attributes seems to simply sort on the "gml_id" attribute.
Strangely enough, this does not occur for smaller feature sets (eg created by removing most of the features from the included GML file). |
suspect one of the entries is causing this behaviour, but | have not further investigated this issue.

This issue was tested on version 1.8.0-Lisboa.

History

#1 - 2012-11-22 05:43 AM - Dieter De Paepe
- File OUT_DropCables.xml added

Some further investigation shows another problem. In the included GML file (which is a subset of the first GML file), there are 8 features present, but only 3
show up in the attribute table.

It seems to do with the "gml-id" attribute, where all values ending in 7d0a up to 7d0e are not showing up.

#2 - 2016-01-20 05:56 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

this seems fixed in QGIS 2.13 master. Can you/someone else confirm it ?

#3 - 2016-01-20 06:59 AM - Dieter De Paepe

Médéric RIBREUX wrote:

Hello, bug triage...

this seems fixed in QGIS 2.13 master. Can you/someone else confirm it ?

I'm afraid I'm no longer active in the GIS world. | can forward this request to former associates, if they can test using an out-of-the-box QGIS version
(non-dev version).

2025-05-17 12




#4 - 2016-04-09 11:42 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Médéric RIBREUX wrote:

Hello, bug triage...

this seems fixed in QGIS 2.13 master. Can you/someone else confirm it ?

seems ok.

Files

OUT_DropCables.xml 119 KB

OUT_DropCables.xsd 1.15KB

OUT_DropCables.xml 9.88 KB
